Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.i18n
Class Messages

    java.lang.Object
      org.deegree.i18n.Messages

    public class Messages

extends Object

Responsible for the access to messages that are visible to the user.

Messages are read from the properties file `messages_LANG.properties` (LANG is always a lowercased ISO 639 code), so internationalization is supported. If a certain property (or the property file) for the specific default language of the system is not found, the message is taken from `messages_en.properties`.

Version:
  $Revision: 26674 $, $Date: 2010-09-10 12:58:42 +0200 (Fr, 10. Sep 2010) $
Author:
  Andreas Poth, Ugo Taddei, Markus Schneider, last edited by: $Author: apoth $
See Also:
  `Locale.getLanguage()`

Constructor Summary
`Messages()`

Method Summary
`static String` | `get(Locale loc, String key, Object... arguments)`
`static String` | `get(String key, Object... arguments)` Alias for #getMessage.
`static String` | `getMessage(String key, Object... arguments)` Returns the message assigned to the passed key.
`static Properties` | `getProperties(Locale locale)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Messages

    public Messages()

Method Detail

### get

    public static String get(Locale loc,
                             String key,
                             Object... arguments)

  Parameters:
    `loc` - the locale to be used
    `key` - to get
    `arguments` - to fill in the message
  Returns:
    the localized message

### getProperties

    public static Properties getProperties(Locale locale)

  Parameters:
    `locale` -
  Returns:
    copy of complete list of properties

### get

    public static String get(String key,
                             Object... arguments)

  Alias for #getMessage.

  Parameters:
    `key` -
    `arguments` -
  Returns:
    the message

### getMessage

    public static String getMessage(String key,
                                    Object... arguments)

  Returns the message assigned to the passed key. If no message is assigned, an error message will be returned that indicates the missing key.

  Parameters:
    `key` -
    `arguments` -
  Returns:
    the message assigned to the passed key
  See Also:
    `for conventions on string formatting and escape characters.`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org